gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A widget that creates a signal when clicked on.

The widget is generally used to attach to a function that is called when the button is pressed. The widget can hold any valid child widget. That is, it can hold most any other standard . The most commonly used child is the .

`using Gtk; using System; public class ButtonApp { public static int Main (string[] args) { Application.Init (); Window win = new Window ("Button Tester"); win.SetDefaultSize (200, 150); win.DeleteEvent += new DeleteEventHandler (Window_Delete); Button btn = new Button ("Click Me"); btn.Clicked += new EventHandler (btn_click); win.Add (btn); win.ShowAll (); Application.Run (); return 0; } static void btn_click (object obj, EventArgs args) { Console.WriteLine ("Button Clicked"); } static void Window_Delete (object obj, DeleteEventArgs args) { Application.Quit (); args.RetVal = true; } }` Gtk.Bin Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Property
  System.Boolean Whether the should use a . Boolean value to select if the uses a or not. Gets a value indicating if the uses a . It is possible to create a from , which is recommended for consistency in apps. They also provide a and a key shortcut.
- Property
  System.Boolean Indicates if a mnemonic is associated with the . Boolean value to select if the uses underline or not. Gets a value indicating if the uses underline or not.
- Property
  Gtk.ReliefStyle The for the . The for the . An instance of that represents the relief style of the .
- Property
  System.String The text of the in the . A to be used for the 's The contained by the . If you want the Label to have a mnemonic you need to set to .
- Event
  System.EventHandler Event launched when the is activated.
- Event
  System.EventHandler Event launched when the is clicked.
- Event
  System.EventHandler Event launched when the cursor leaves the area.
- Event
  System.EventHandler Event launched when the is pressed.
- Event
  System.EventHandler Event launched when the is released.
- Event
  System.EventHandler Event launched when the cursor enters the area.
- Method
  Gtk.Button `` Creates a widget with a child containing the given text. The text you want the to hold. The newly created widget.
- Method
  System.Void Emits a signal to the given . Emits a signal to the given .
- Method
  System.Void Emits a signal to the given . Emits a signal to the given .
- Method
  System.Void Emits a signal to the given . Emits a signal to the given .
- Method
  System.Void Emits a signal to the given . Emits a signal to the given .
- Method
  System.Void Emits a signal to the given . Emits a signal to the given .
- Method
  System.Void Disposes the resources associated with this object.
- Constructor
  Default parameterless constructor.
  An instance of .
  This is the default constructor for the class.
- Constructor
  Internal constructor
  an object of type
  an object of type
  This is not typically used by C# code.
- Property
  System.Boolean Whether or not the cursor is inside the button. a , true if the cursor is inside the button.
- Method
  Gtk.Button `` Creates a labeled . a a Constructor that creates a labeled . The label shows the string passed as parameter.
- Constructor
  Creates a new containing the image and text from a stock item.
  a
  a
  The valid names of Stock items can be found in the class.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  GLib.GType Returns the kind of action this button does. a There are four possible options: "ignored", "selects", "drags", and "expands".
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  Constructs a button containing a specified Child widget.
  a child
  a
- Property
  System.Boolean To be added a To be added
- Property
  System.Single To be added a To be added
- Property
  System.Single To be added a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Void `` `` To be added a a To be added